Bug 1300981 - Review Request: python-django-rest-framework-braces - Utilities for working with Django-Rest-Framework.
Review Request: python-django-rest-framework-braces - Utilities for working w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 04:25 EST by Sundeep Anand
Modified: 2016-04-15 17:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 17:36:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sundeep Anand 2016-01-22 04:25:11 EST
Spec URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-django-rest-framework-braces.spec
SRPM URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-django-rest-framework-braces-0.1.5-1.fc23.src.rpm
Description: Collection of utilities for working with Django-Rest-Framework.
Fedora Account System Username: suannad
Comment 1 Upstream Release Monitoring 2016-01-22 04:30:02 EST
suanand's scratch build of python-django-rest-framework-braces-0.1.5-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12645177
Comment 2 Sundeep Anand 2016-01-22 04:32:42 EST
[Edit] Fedora Account System Username: suanand
Comment 3 Julien Enselme 2016-03-06 15:41:13 EST
Issues:

- Please remove upstream's egg-info
- Plase add python2 files to the python2 subpackage: `%files -n python-%{pypi_name}` -> `%files -n python2-%{pypi_name}`
- You should update to 0.1.6
- You should include a %check section and launch the included unit tests


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 31 files have
     unknown license. Detailed output of licensecheck in /tmp/1300981
     -python-django-rest-framework-braces/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package requires other packages for directories it uses.
[X]: Package must own all directories that it creates.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -django-rest-framework-braces
[?]: Package functions as described.
[!]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-rest-framework-braces-0.1.5-1.fc25.noarch.rpm
          python3-django-rest-framework-braces-0.1.5-1.fc25.noarch.rpm
          python-django-rest-framework-braces-0.1.5-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-django-rest-framework-braces (rpmlib, GLIBC filtered):
    python(abi)
    python-dateutil
    python-django
    python-django-rest-framework
    python-six
    pytz

python3-django-rest-framework-braces (rpmlib, GLIBC filtered):
    python(abi)
    python3-dateutil
    python3-django
    python3-django-rest-framework
    python3-pytz
    python3-six



Provides
--------
python-django-rest-framework-braces:
    python-django-rest-framework-braces

python3-django-rest-framework-braces:
    python3-django-rest-framework-braces



Source checksums
----------------
https://pypi.python.org/packages/source/d/django-rest-framework-braces/django-rest-framework-braces-0.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 7b2167fa7ca62db8803f67b8d33cc583abe2333fffc96394ae81057ed37737d0
  CHECKSUM(SHA256) upstream package : 7b2167fa7ca62db8803f67b8d33cc583abe2333fffc96394ae81057ed37737d0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1300981
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Upstream Release Monitoring 2016-03-08 03:43:31 EST
suanand's scratch build of python-django-rest-framework-braces-0.1.6-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13270884
Comment 6 Julien Enselme 2016-03-10 16:01:49 EST
I think you misunderstood what I meant by remove upstream's egg-info.

You remove the generated egg-info during the build in install:
rm -fr %{buildroot}%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info

But these egg-info are required for the package to run correctly.

What I meant is:

the tarball you get from pypi contains a django_rest_framework_braces.egg-info folder. You should remove it in %setup to be sure that all egg-info installed are generated during the build.

The rest of the package looks fine.
Comment 8 Sundeep Anand 2016-03-14 06:31:38 EDT
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13342911
Comment 9 Julien Enselme 2016-03-14 13:20:49 EDT
Looks good. Approved!
Comment 10 Gwyn Ciesla 2016-03-15 08:58:56 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-django-rest-framework-braces
Comment 11 Fedora Update System 2016-03-17 11:36:08 EDT
python-django-rest-framework-braces-0.1.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5739f5b60e
Comment 12 Fedora Update System 2016-03-18 10:56:42 EDT
python-django-rest-framework-braces-0.1.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5739f5b60e
Comment 13 Fedora Update System 2016-04-15 17:36:46 EDT
python-django-rest-framework-braces-0.1.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.